%define		kdeplasmaver	5.15.3
%define		qtver		5.9.0
%define		kf5ver		5.19.0
%define		kpname		kscreenlocker
Summary:	kscreenlocker
Name:		kp5-%{kpname}
Version:	5.15.3
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	d7ae9eaa8ff3208df01935fc0cd0c28a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Quick-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-kcmutils-devel >= %{kf5ver}
BuildRequires:	kf5-kcrash-devel >= %{kf5ver}
BuildRequires:	kf5-kdeclarative-devel >= %{kf5ver}
BuildRequires:	kf5-kdelibs4support-devel >= %{kf5ver}
BuildRequires:	kf5-kglobalaccel-devel >= %{kf5ver}
BuildRequires:	kf5-kidletime-devel >= %{kf5ver}
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-plasma-framework-devel >= %{kf5ver}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
kscreenlocker

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname}5 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}5.lang
%defattr(644,root,root,755)
%{_datadir}/kservices5/screenlocker.desktop
%attr(755,root,root) %{_prefix}/libexec/kcheckpass
%attr(755,root,root) %{_prefix}/libexec/kscreenlocker_greet
%attr(755,root,root) %ghost %{_libdir}/libKScreenLocker.so.5
%attr(755,root,root) %{_libdir}/libKScreenLocker.so.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/screenlocker_kcm.so
%{_datadir}/dbus-1/interfaces/kf5_org.freedesktop.ScreenSaver.xml
%{_datadir}/dbus-1/interfaces/org.kde.screensaver.xml
%{_datadir}/kconf_update/kscreenlocker.upd
%attr(755,root,root) %{_datadir}/kconf_update/ksreenlocker_5_3_separate_autologin.pl
%{_datadir}/knotifications5/ksmserver.notifyrc
#%%{_datadir}/kservices5/plasma-screenlocker_kcm-screenlocker_kcm.desktop
%dir %{_datadir}/ksmserver
%dir %{_datadir}/ksmserver/screenlocker
%dir %{_datadir}/ksmserver/screenlocker/org.kde.passworddialog
%{_datadir}/ksmserver/screenlocker/org.kde.passworddialog/metadata.desktop
#%%dir %{_datadir}/plasma/kcms
#%%dir %{_datadir}/plasma/kcms/screenlocker_kcm
#%%dir %{_datadir}/plasma/kcms/screenlocker_kcm/contents
#%%dir %{_datadir}/plasma/kcms/screenlocker_kcm/contents/ui
#%%{_datadir}/plasma/kcms/screenlocker_kcm/contents/ui/main.qml
#%%{_datadir}/plasma/kcms/screenlocker_kcm/metadata.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/KScreenLocker
%{_libdir}/cmake/KScreenLocker
%dir %{_libdir}/cmake/ScreenSaverDBusInterface
%{_libdir}/cmake/ScreenSaverDBusInterface/ScreenSaverDBusInterfaceConfig.cmake
%{_libdir}/libKScreenLocker.so
%changelog
* Sat May 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kscreenlocker.git;a=log;h=master

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> b06a8ce
- updated to 5.15.3

* Sun Feb 17 2019 Jan Rękorajski <baggins@pld-linux.org> 385b26e
- package %{_datadir}/ksmserver here to avoid dependency loop
- rel 2

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 143470f
- updated to 5.14.5

* Thu Jan 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> f40ded0
- chmod for update script

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> a632600
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> b80fc45
- updated to 5.11.2

* Tue Oct 10 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 5fa0482
- updated to 5.11.0

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> ed96282
- one more dir
- rel 4

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> ea3e991
- more missing dirs
- rel 3

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 78dd946
- fix files
- rel 2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 3409051
- new

